package com.sooka.system.real_estate.pre_to_on.mapper;

import com.sooka.system.real_estate.pre_to_on.domain.TGuijiRealEstatePreToOn;

import java.util.List;

/**
 * 市房地产-预转现信息Mapper接口
 *
 * @author lei
 * @date 2022-08-22
 */
public interface TGuijiRealEstatePreToOnMapper
{
    /**
     * 查询市房地产-预转现信息
     *
     * @param id 市房地产-预转现信息ID
     * @return 市房地产-预转现信息
     */
    public TGuijiRealEstatePreToOn selectById(String id);

    /**
     * 查询市房地产-预转现信息列表
     *
     * @param param 市房地产-预转现信息
     * @return 市房地产-预转现信息集合
     */
    public List<TGuijiRealEstatePreToOn> selectList(TGuijiRealEstatePreToOn param);

    /**
     * 新增市房地产-预转现信息
     *
     * @param param 市房地产-预转现信息
     * @return 结果
     */
    public int insert(TGuijiRealEstatePreToOn param);

    /**
     * 修改市房地产-预转现信息
     *
     * @param param 市房地产-预转现信息
     * @return 结果
     */
    public int update(TGuijiRealEstatePreToOn param);

    /**
     * 删除市房地产-预转现信息
     *
     * @param id 市房地产-预转现信息ID
     * @return 结果
     */
    public int deleteById(String id);

    /**
     * 批量删除市房地产-预转现信息
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteByIds(String[] ids);
}
